Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class Path

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.CompositeObject
              org.pdfclown.documents.contents.objects.GraphicsObject
                  org.pdfclown.documents.contents.objects.Path

    @PDF(value=PDF10)
    public final class Path

extends GraphicsObject

Path object [PDF:1.6:4.4].

Since:
  0.0.7
Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Field Summary
`static String[]` | `BeginOperators`
`static String[]` | `EndOperators`

Fields inherited from class org.pdfclown.documents.contents.objects.CompositeObject
`objects`

Constructor Summary
`Path()`
`Path(List<ContentObject> operations)`

Method Summary
`protected Shape` | `createRenderObject()` Creates the rendering object corresponding to this container.

Methods inherited from class org.pdfclown.documents.contents.objects.CompositeObject
`getHeader, getObjects, render, scan, setHeader, toString, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BeginOperators

    public static final String[] BeginOperators

### EndOperators

    public static final String[] EndOperators

Constructor Detail

### Path

    public Path()

### Path

    public Path(List<ContentObject> operations)

Method Detail

### createRenderObject

    protected Shape createRenderObject()

  Description copied from class: `CompositeObject`
  Creates the rendering object corresponding to this container.

  Overrides:
    `createRenderObject` in class `CompositeObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.